# Method: dynamicFeeds.insert

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#body.aspect)
- [DynamicFeedsInsertRequest](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#DynamicFeedsInsertRequest)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#DynamicFeedsInsertRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#try-it)

Inserts a new dynamic feed.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/studio/dynamicFeeds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/insert#DynamicFeedsInsertRequest`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/DynamicFeed`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`

## DynamicFeedsInsertRequest

Dynamic profile ID is required for dynamic feed insert as the current GPA API only can create a dynamic feed under profile context,even though the dynamic feed itself don't need the dynamic profile id.

| JSON representation |
|---|
| ``` { "dynamicProfileId": string, "dynamicFeed": { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/DynamicFeed`) } } ``` |

| Fields ||
|---|---|
| `dynamicProfileId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Dynamic profile ID of the inserted dynamic feed. |
| `dynamicFeed` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/DynamicFeed`)`` Required. Dynamic feed to insert. |